<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
include 'dbconfig.php';

if(isset($_SERVER['HTTP_ORIGIN'])) {
        header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
        header('Access-Control-Allow-Credentials: true');
        header('Access-Control-Max-Age: 86400');    // cache for 1 day
}
// Access-Control headers are received during OPTIONS requests
if($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
            header("Access-Control-Allow-Methods: GET, POST, OPTIONS");         

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
            header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

        exit(0);
}

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} 
$json = json_decode(file_get_contents('php://input'), true);
$user_id=$json['user_id'];
$rating=$json['rating'];
$description=$json['description'];
$order_id=$json['order_id'];
$vendor_id=$json['vendor_id'];
$cat_id=$json['cat_id'];
$subcat_id=$json['subcat_id'];
$created=date("Y-m-d H:i:s");
$ins="INSERT INTO rating SET user_id='$user_id',order_id='$order_id',vendor_id='$vendor_id',cat_id='$cat_id',subcat_id='$subcat_id',rating='$rating',description='$description',created='$created'";
$ins_result=$conn->query($ins);

$responseData = array('success'=>'1','message'=>"success");
$data = array("data" => $responseData);
echo json_encode($data);    
$conn->close();
?>